jQuery(function ($) {  // use $ for jQuery
    "use strict";
	/* Functionality for adding and removing Databases
	 * posts to class-wcp-ajax.php backend settings
	 *
	 */

	// Save Settings
	$(document).on('click', '.shwcpz-save', function() {
		//var url = $(document).find('.shwcpz-url').val();
		var activation = $(document).find('.shwcpz-activation').val();
		//alert(urls.toSource());
        $(document).find('.shwcpz-save').prop("disabled", true);
        $.post(WCP_Ajax_Zapier_Admin.ajaxurl, {
            // wp ajax action
            action: 'ajax-wcpzbackend',
            // vars
            zapier_settings: 'true',
			activation: activation,
            nextNonce : WCP_Ajax_Zapier_Admin.nextNonce

        }, function(response) {
			$(document).find('.shwcpz-save').prop("disabled", "");
            if (response.valid == 'true') {
				var text = $(document).find('.valid-code').text();
				$('.shwcpz-saved h3').text(text).css('color', '#46b450');
				$('.shwcpz-saved').fadeIn().delay(5000).fadeOut();
            } else {
				var text = $(document).find('.invalid-code').text();
				$('.shwcpz-saved h3').text(text).css('color', 'red');
			    $('.shwcpz-saved').fadeIn().delay(5000).fadeOut();
			}

			return false;
        });
	});

	// Release Code
	$(document).on('click', '.shwcpz-release', function() {
        var activation = $(document).find('.shwcpz-activation').val();
        //alert(urls.toSource());
        $(document).find('.shwcpz-activation').val('');
        $.post(WCP_Ajax_Zapier_Admin.ajaxurl, {
            // wp ajax action
            action: 'ajax-wcpzbackend',
            // vars
            zapier_release: 'true',
            activation: activation,
            nextNonce : WCP_Ajax_Zapier_Admin.nextNonce

        }, function(response) {
            $(document).find('.shwcpz-save').prop("disabled", "");
            if (response.saved == 'true') {
            }
            return false;
        });
    });

});
